%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Flickr Remote Organizer for GNOME
Name:		frogr
Version:	0.8
Release:	%mkrel 5
License:	GPLv3+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Frogr
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		frogr-0.8-gst1.0.patch
Patch1:		frogr-0.8-drop-deprecated.patch
BuildRequires: pkgconfig(glib-2.0) >= 2.32
BuildRequires: pkgconfig(gstreamer-1.0) >= 1.0
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-3.0) >= 3.4
BuildRequires: pkgconfig(json-glib-1.0) >= 0.12
BuildRequires: pkgconfig(libexif) >= 0.6.14
BuildRequires: pkgconfig(libsoup-gnome-2.4) >= 2.26
BuildRequires: pkgconfig(libxml-2.0) >= 2.6.8
BuildRequires: libgcrypt-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool

%description
Frogr is a small application for the GNOME desktop that allows users to
manage their accounts in the Flickr image hosting website. It supports
all the basic tasks, including uploading pictures, adding descriptions,
setting tags and managing sets.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/frogr
%{_datadir}/applications/frogr.desktop
%{_datadir}/frogr
%{_iconsdir}/hicolor/*/apps/frogr.*
%{_mandir}/man1/frogr.1*
%{_datadir}/pixmaps/frogr.xpm


%changelog
* Sat Nov 09 2013 ovitters <ovitters> 0.8-5.mga4
+ Revision: 550150
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 0.8-4.mga4
+ Revision: 532277
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 fwang <fwang> 0.8-3.mga4
+ Revision: 467658
- drop deprecated flags

* Tue May 28 2013 fwang <fwang> 0.8-2.mga4
+ Revision: 429374
- update file list
- br gcrypt
- add upstream patch to build with gst 1.0

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + ovitters <ovitters>
    - new version 0.8

* Wed Jun 27 2012 ovitters <ovitters> 0.7-1.mga3
+ Revision: 264585
- fix source url
- new version 0.7

* Tue Feb 14 2012 ovitters <ovitters> 0.6.1-2.mga2
+ Revision: 208762
- clean spec

  + fwang <fwang>
    - new version 0.6.1
    - imported package frogr

